#
# spec file for package libXvMC
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libXvMC
%define lname	libXvMC1
Version:        1.0.10
Release:        1.23
Summary:        X-Video Motion Compensation library
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://xorg.freedesktop.org/

#Git-Clone:	git://anongit.freedesktop.org/xorg/lib/libXvMC
#Git-Web:	http://cgit.freedesktop.org/xorg/lib/libXvMC/
Source:         http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:	autoconf >= 2.60, automake, libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xv)

%description
X-Video Motion Compensation (XvMC), is an extension of the X video
extension (Xv) for the X Window System. The XvMC API allows video
programs to offload portions of the video decoding process to the GPU
video-hardware.

%package -n %lname
Summary:        X-Video Motion Compensation library
Group:          System/Libraries

%description -n %lname
X-Video Motion Compensation (XvMC), is an extension of the X video
extension (Xv) for the X Window System. The XvMC API allows video
programs to offload portions of the video decoding process to the GPU
video-hardware.

The supported portions to be offloaded by XvMC onto the GPU are
motion compensation (mo comp) and inverse discrete cosine transform
(iDCT) for MPEG-2 video. XvMC also supports offloading decoding of mo
comp, iDCT, and VLD (Variable-Length Decoding) for MPEG-2/MPEG-4-ASP.

%package devel
Summary:        Development files for the X-Video Motion Compensation library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
X-Video Motion Compensation (XvMC), is an extension of the X video
extension (Xv) for the X Window System. The XvMC API allows video
programs to offload portions of the video decoding process to the GPU
video-hardware.

This package contains the development headers for the library found
in %lname.

%prep
%setup -q

%build
%configure --docdir=%_docdir/%name --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libXvMC*.so.1*

%files devel
%defattr(-,root,root)
%_includedir/X11/*
%_libdir/libXvMC*.so
%_libdir/pkgconfig/xvmc.pc
%_docdir/%name

%changelog
* Fri Oct 28 2016 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.0.10:
  + Avoid buffer underflow on empty strings.
* Sat Mar 21 2015 sndirsch@suse.com
- added baselibs.conf as source to specfile
* Fri Mar 20 2015 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.0.9:
  + Require ANSI C89 pre-processor, drop pre-C89 token pasting support
  + Rename local err variable in XW_RSYM macro to avoid shadow warnings
  + Remove fallback for _XEatDataWords, require libX11 1.6 for it
  + Fix linking with -Wl,--no-undefined on Linux
* Fri Jun 14 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.0.8:
  This bug fix release provides the fixes for the recently announced security
  issues CVE-2013-1990 & CVE-2013-1999, and the fixes for the bugs introduced
  in the initial set of patches for those security issues.
* Sun Feb 17 2013 jengelh@inai.de
- Use more robust make install call
* Wed Apr 11 2012 vuntz@opensuse.org
- Update to version 1.0.7:
  + Janitorial cleanups
  + Build configuration improvements
* Tue Feb  7 2012 jengelh@medozas.de
- Split xorg-x11-libs into separate packages
